package com.gxx.dubbo.server.biz.impl;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.gxx.dubbo.server.dao.UserMapper;
import com.gxx.dubbo.server.model.vo.User;
import com.gxx.dubbo.server.service.UserService;

/**
 * 用户服务接口实现类
 * @author Gxx
 */
@Service("userService")
public class UserServiceImpl implements UserService {
	
	/**
	 * 日志处理器
	 */
	Logger logger = Logger.getLogger(UserServiceImpl.class);

	/**
	 * 用户实体操作类
	 */
	@Autowired
	private UserMapper userMapper;

	/**
	 * 根据id查询用户
	 * @return
	 */
	@Override
	@Transactional(readOnly = true, propagation = Propagation.REQUIRED)
	public User selectUserById(int id) {
		return userMapper.selectByPrimaryKey(id);
	}
}