package com.gxx.dubbo.server.web;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.gxx.dubbo.server.model.vo.User;
import com.gxx.dubbo.server.service.UserService;

/**
 * 用户控制类
 * @author Gxx
 */
@Controller
@RequestMapping("/user/")
public class UserController {

	/**
	 * 日志处理器
	 */
	private final Logger logger = Logger.getLogger(UserController.class);
	
	@Autowired
	private UserService userService;
	
	/**
	 * 根据ID查询用户
	 * @return
	 */
	@RequestMapping(value = "/get")
	public @ResponseBody String get(HttpServletRequest request) {
		logger.info("根据ID查询用户开始~");
		User user = userService.selectUserById(Integer.parseInt(request.getParameter("id")));
		logger.info("根据ID查询用户结束~");
		return user == null ? "查询不到用户！" : user.toString();
	}
}